Jupiter - Zadanie #1886

Zadanie # 1885 (Nowy): uwagi ze spotkania
zlokalizowa¢ jezyki

2017-12-13 09:44 - Lukasz Waskiewicz

Status: W toku Start date: 2017-12-14

Priority: Normalny Due date: 2017-12-14
Assignee: Jarostaw Babel % Done: 90%

Category: ui Estimated time: 0.00 hour

Target version: 0.3

Developer: Jarostaw Babel Tester: Tomasz Lewandowski
Description

Nalezy zlokalizowac tylko wskazane jezyki. Patrz #1903. Suzy do tego klauzula switch w angularze (patrz typy importéw).

Related issues:
Follows Jupiter - Zadanie # 1903: Okresli¢ jezyki preferowane Nowy 2017-12-13

History

#1 - 2017-12-13 10:09 - Lukasz Waskiewicz
- Related to Zadanie #1885: uwagi ze spotkania added

#2 - 2017-12-13 10:09 - Lukasz Waskiewicz
- Related to deleted (Zadanie #1885: uwagi ze spotkania)

#3 - 2017-12-13 10:10 - Lukasz Waskiewicz
- Parent task set to #1885

#4 - 2017-12-13 14:27 - Michat Komar

- Description updated

- Category set to ui

- Assignee changed from Michat Komar to Jarostaw Babel
- Target version set to 0.3

- Developer Jarostaw Bgbel added

- Tester Tomasz Lewandowski added

#5 - 2017-12-13 14:27 - Michat Komar
- Follows Zadanie #1903: Okreslic jezyki preferowane added

#6 - 2018-01-02 08:15 - Jarostaw Babel

- Status changed from Nowy to W toku

- % Done changed from 0 to 90

Przettumaczone pig¢ gtéwnych jezykéw. Czekamy na ustalenie pozostatych w #1903.

Uwagi techniczne:

LanguagelocalizedComponent zawiera ttumaczenia i18n dla selectow.

FilteredLanguagesUtil zawiera komplementarne ttumaczenia wpisane na sztywno (angular jeszcze nie wspiera dostepu do i18m w komponentach ts).

Walidator name-duplicate zamiast uruchamiac sie na kazdy wpisany znak uruchamia sie teraz po wyjsciu z selecta (konfiguracja w form-manager). To
powoduje "pdzne wigzanie" wartosci miedzy form a input i dla zachowania filtrowania trzeba wpisywane wartosci obstugiwaé recznie.
